=== modified file 'NEWS'
--- NEWS	2007-10-31 09:46:42 +0000
+++ NEWS	2007-11-02 08:45:10 +0000
@@ -10,6 +10,45 @@
   NOTES WHEN UPGRADING:
 
   CHANGES:
+
+  FEATURES:
+
+  PERFORMANCE:
+
+   * Fetch with pack repositories will no longer read the entire history graph.
+     (Robert Collins, #88319)
+
+   * Revert takes out an appropriate lock when reverting to a basis tree, and
+     does not read the basis inventory twice. (Robert Collins)
+
+  IMPROVEMENTS:
+
+  DOCUMENTATION:
+
+  BUG FIXES:
+
+   * A progress bar has been added for knitpack -> knitpack fetching.
+     (Robert Collins, #157789)
+
+   * Wrap medusa ftp test server as an FTPServer feature.
+     (Vincent Ladeuil, #157752)
+
+  API BREAKS:
+
+   * ``osutils.backup_file`` is deprecated. Actually it's not used in bzrlib
+     during very long time. (Alexander Belchenko)
+
+  INTERNALS:
+
+  TESTING:
+
+
+bzr 0.92rc1 2007-10-29
+======================
+
+  NOTES WHEN UPGRADING:
+
+  CHANGES:
   
    * ``bzr`` now returns exit code 4 if an internal error occurred, and 
      3 if a normal error occurred.  (Martin Pool)
@@ -68,9 +107,6 @@
      changed to determine if the tree is unchanged rather than recalculating
      it at the end of the commit process. (Robert Collins)
 
-   * Fetch with pack repositories will no longer read the entire history graph.
-     (Robert Collins, #88319)
-
    * Inventory serialisation no longer double-sha's the content.
      (Robert Collins)
 
@@ -85,9 +121,6 @@
    * Partial commits are now approximately 40% faster by walking over the
      unselected current tree more efficiently. (Robert Collins)
 
-   * Revert takes out an appropriate lock when reverting to a basis tree, and
-     does not read the basis inventory twice. (Robert Collins)
-
    * XML inventory serialisation takes 20% less time while being stricter about
      the contents. (Robert Collins)
 
@@ -120,9 +153,6 @@
 
   BUG FIXES:
 
-   * A progress bar has been added for knitpack -> knitpack fetching.
-     (Robert Collins, #157789)
-
    * Connection error reporting for the smart server has been fixed to
      display a user friendly message instead of a traceback.
      (Ian Clatworthy, #115601)
@@ -198,9 +228,6 @@
    * ``WorkingTree.rename_one`` will now raise an error if normalisation of the
      new path causes bzr to be unable to access the file. (Robert Collins)
 
-   * Wrap medusa ftp test server as an FTPServer feature.
-     (Vincent Ladeuil, #157752)
-
    * Correctly detect a NoSuchFile when using a filezilla server. (Gary van der
      Merwe)
 

=== modified file 'bzr'
--- bzr	2007-10-22 01:23:51 +0000
+++ bzr	2007-11-02 08:45:10 +0000
@@ -67,7 +67,7 @@
                      "\n")
     raise
 
-if bzrlib.version_info[:3] != (0, 92, 0):
+if bzrlib.version_info[:3] != (0, 93, 0):
     sys.stderr.write("bzr: WARNING: bzrlib version doesn't match the bzr program.\n"
             "This may indicate an installation problem.\n"
             "bzrlib from %s is version %r\n"

=== modified file 'bzrlib/__init__.py'
--- bzrlib/__init__.py	2007-10-03 05:25:50 +0000
+++ bzrlib/__init__.py	2007-11-02 08:45:10 +0000
@@ -35,7 +35,7 @@
 # Python version 2.0 is (2, 0, 0, 'final', 0)."  Additionally we use a
 # releaselevel of 'dev' for unreleased under-development code.
 
-version_info = (0, 92, 0, 'dev', 0)
+version_info = (0, 93, 0, 'dev', 0)
 
 # API compatibility version: bzrlib is currently API compatible with 0.18.
 api_minimum_version = (0, 18, 0)

=== modified file 'bzrlib/osutils.py'
--- bzrlib/osutils.py	2007-10-24 06:48:13 +0000
+++ bzrlib/osutils.py	2007-11-02 08:45:10 +0000
@@ -57,6 +57,7 @@
 from bzrlib import symbol_versioning
 from bzrlib.symbol_versioning import (
     deprecated_function,
+    zero_ninetythree,
     )
 from bzrlib.trace import mutter
 
@@ -463,6 +464,7 @@
         return pathjoin(F(p), e)
 
 
+@deprecated_function(zero_ninetythree)
 def backup_file(fn):
     """Copy a file to a backup.
 

=== modified file 'bzrlib/symbol_versioning.py'
--- bzrlib/symbol_versioning.py	2007-10-10 00:21:57 +0000
+++ bzrlib/symbol_versioning.py	2007-11-02 08:45:10 +0000
@@ -40,6 +40,7 @@
            'zero_ninety',
            'zero_ninetyone',
            'zero_ninetytwo',
+           'zero_ninetythree',
            ]
 
 from warnings import warn
@@ -61,6 +62,7 @@
 zero_ninety = "%s was deprecated in version 0.90."
 zero_ninetyone = "%s was deprecated in version 0.91."
 zero_ninetytwo = "%s was deprecated in version 0.92."
+zero_ninetythree = "%s was deprecated in version 0.93."
 
 
 def set_warning_method(method):

